/tenant/{tenant_id}:
  delete:
    deprecated: true
    description: Remove an item
    operationId: api.v1.Tenants.remove
    parameters:
    - in: path
      name: tenant_id
      required: true
      schema:
        type: string
    responses:
      '204':
        description: Item deleted
  description: pf::UnifiedApi::Controller::Tenants
  get:
    deprecated: true
    description: Get an item
    operationId: api.v1.Tenants.get
    parameters:
    - in: path
      name: tenant_id
      required: true
      schema:
        type: string
    responses:
      '200':
        content:
          application/json:
            schema:
              description: Item
              type: object
        description: Get item
      '400':
        $ref: '#/components/responses/BadRequest'
      '422':
        $ref: '#/components/responses/UnprocessableEntity'
  patch:
    deprecated: true
    description: Update an item
    operationId: api.v1.Tenants.update
    parameters:
    - in: path
      name: tenant_id
      required: true
      schema:
        type: string
    responses:
      '200':
        $ref: '#/components/responses/Message'
      '400':
        $ref: '#/components/responses/BadRequest'
      '422':
        $ref: '#/components/responses/UnprocessableEntity'
  put:
    deprecated: true
    description: Replace an item
    operationId: api.v1.Tenants.replace
    parameters:
    - in: path
      name: tenant_id
      required: true
      schema:
        type: string
    responses:
      '200':
        $ref: '#/components/responses/Message'
      '400':
        $ref: '#/components/responses/BadRequest'
      '422':
        $ref: '#/components/responses/UnprocessableEntity'
